## NMSettingTeamPort NMSettingTeamPort — Describes connection properties for team ports |

## Functions

GQuark | nm_setting_team_port_error_quark ()
NMSetting * | nm_setting_team_port_new ()
const char * | nm_setting_team_port_get_config ()

## Properties

gchar * | config | Read / Write

## Types and Values

#define | NM_SETTING_TEAM_PORT_SETTING_NAME
enum | NMSettingTeamPortError
#define | NM_SETTING_TEAM_PORT_ERROR
#define | NM_SETTING_TEAM_PORT_CONFIG

## Object Hierarchy

        GEnum
        ╰── NMSettingTeamPortError
        GObject
        ╰── NMSetting
            ╰── NMSettingTeamPort

## Includes

    #include <nm-setting-team-port.h>

## Description

The NMSettingTeamPort object is a NMSetting subclass that describes optional properties that apply to team ports.

## Functions

### nm_setting_team_port_error_quark ()

    GQuark
    nm_setting_team_port_error_quark (void);

Registers an error quark for NMSettingTeamPort if necessary.

#### Returns

the error quark used for NMSettingTeamPort errors.

Since 0.9.10

### nm_setting_team_port_new ()

    NMSetting *
    nm_setting_team_port_new (void);

Creates a new NMSettingTeamPort object with default values.

#### Returns

the new empty NMSettingTeamPort object.

[transfer full]

Since 0.9.10

### nm_setting_team_port_get_config ()

    const char *
    nm_setting_team_port_get_config (NMSettingTeamPort *setting);

#### Parameters

setting | the NMSettingTeamPort |

#### Returns

the “config” property of the setting

Since 0.9.10

## Types and Values

### NM_SETTING_TEAM_PORT_SETTING_NAME

    #define NM_SETTING_TEAM_PORT_SETTING_NAME "team-port"

### enum NMSettingTeamPortError

#### Members

NM_SETTING_TEAM_PORT_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_TEAM_PORT_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_TEAM_PORT_ERROR_MISSING_PROPERTY | the property was missing and is required |

### NM_SETTING_TEAM_PORT_ERROR

    #define NM_SETTING_TEAM_PORT_ERROR nm_setting_team_port_error_quark ()

### NM_SETTING_TEAM_PORT_CONFIG

    #define NM_SETTING_TEAM_PORT_CONFIG     "config"

## Property Details

### The `“config”` property

      “config”                   gchar *

Flags: Read / Write

Default value: NULL